%global gitdate 20160612
%global commit0 930c9b7bb8534b3b0f4971859b5920b951d6b02c

%global srcname %{name}-desktop
%global srcurl  https://github.com/%{name}/%{srcname}

Name:           nitroshare
%if 0%{?gitdate}
Release:        3.%{gitdate}git%(c=%{commit0}; echo ${c:0:7} )%{?dist}
%else
Release:        2%{?dist}
%endif
Version:        0.3.1
Summary:        Transfer files from one device to another made extremely simple
License:        MIT
URL:            https://%{name}.net


%if 0%{?gitdate}
Source0:        %{srcurl}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz
%else
Source0:        %{srcurl}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-desktop.patch
%endif

%if 0%{?fedora}
%global pkgcmake cmake
%else
%global pkgcmake cmake3
%global cmake    %cmake3
%endif
BuildRequires:  %{pkgcmake} >= 3.2.0

BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  desktop-file-utils

Requires:       hicolor-icon-theme

%description
A cross-platform network file transfer application designed to make
transferring any file to any device as painless as possible.
Features
    Runs on Windows / Mac OS X / Linux
    Automatic discovery of devices on the local network
    Simple and intuitive user interface
    Transfer entire directories
    Completely free and open-source

%package breeze
Summary:        Breeze icons for Nitroshare
BuildArch:      noarch
Requires:       breeze-icon-theme
%if 0%{?fedora}
Enhances:       %{name} = %{version}-%{release}
%else
Requires:       %{name} = %{version}-%{release}
%endif

%description breeze
%{summary}.

%package gnome
Summary:        GNOME icons for Nitroshare
BuildArch:      noarch
Requires:       gnome-icon-theme
%if 0%{?fedora}
Enhances:       %{name} = %{version}-%{release}
%else
Requires:       %{name} = %{version}-%{release}
%endif
%description gnome
%{summary}.


%prep
%if 0%{?gitdate}
%setup -qn%{srcname}-%{commit0}
%else
%autosetup -p1 -n%{srcname}-%{version}
%endif

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post breeze
/bin/touch --no-create %{_datadir}/icons/breeze* &>/dev/null || :

%postun breeze
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/breeze* &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze* &>/dev/null || :
fi

%posttrans breeze
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze* &>/dev/null || :

%post gnome
/bin/touch --no-create %{_datadir}/icons/gnome &>/dev/null || :

%postun gnome
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/gnome &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :
fi

%posttrans gnome
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/gnome &>/dev/null || :


%files
%license LICENSE.txt
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*.svg
# some useless icons
%exclude %{_datadir}/icons/u*/

%files breeze
%license LICENSE.txt
%{_datadir}/icons/breeze*/*/*/%{name}*.svg

%files gnome
%license LICENSE.txt
%{_datadir}/icons/gnome/*/*/%{name}*.png


%changelog
* Sun Jun 12 2016 Raphael Groner <projects.rg@smart.ms> - 0.3.1-3.20160612git930c9b7
- switch to snapshot with several bugfixes
- add BR: pkgconfig(Qt5Svg)
- use target build folder

* Tue Jun 07 2016 Raphael Groner <projects.rg@smart.ms> - 0.3.1-2
- validate desktop file

* Sun May 22 2016 Raphael Groner <projects.rg@smart.ms> - 0.3.1-1
- initial
